webkitpy: Trying to use iOS versions from machines without iOS SDKs doesn't make...
authorjbedard@apple.com <jbedard@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 29 Nov 2017 18:04:06 +0000 (18:04 +0000)
committerjbedard@apple.com <jbedard@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Wed, 29 Nov 2017 18:04:06 +0000 (18:04 +0000)
commitca225eb8983806150ff82503337819b6120a6018
treeff04dd4d0d83418d193a0aa71f185d8fb86b0789
parent038fab82d223d51dae101ee0a09bc6049f5f3de8
webkitpy: Trying to use iOS versions from machines without iOS SDKs doesn't make sense
https://bugs.webkit.org/show_bug.cgi?id=179534
<rdar://problem/35469509>

Reviewed by Brent Fulgham.

Provide more specific information in builders.py so that machines do not try and calculate
an iOS SDK version while running tests.

* Scripts/webkitpy/port/builders.py: Explicitly specify a version for iOS Simulator.
* Scripts/webkitpy/port/ios_simulator.py:
(IOSSimulatorPort._version_from_name): Attempt to extract the iOS version from the name
of the port.
(IOSSimulatorPort.ios_version): Use specified iOS version if a version is detected in
in the provided name string (just like Mac).

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@225274 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Tools/ChangeLog
Tools/Scripts/webkitpy/port/builders.py
Tools/Scripts/webkitpy/port/ios_simulator.py